<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Task 3</title>
    <!-- <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous"> -->
    <link href="css/bootstrap.min.css" rel="stylesheet" />
    <style>
        #table1 {
            /* border: 3px double red;
            border-radius: 15px; */
            margin-top: 25px;
        }

        #table1 tr,
        th,
        td {
             border: 3px double #007bff;
            /*background-color: #cde2ef; */

            width: 1%;
            text-align: center;
            font-size: 21px;
            padding: 2% 3% 2% 3%;
        }

        .img {
            width: 100%;
            height: auto;
            border-radius: 30px;
            border: 4px double #0057b5;
        }
    </style>
</head>

<body>

    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <a class="navbar-brand" href="#">Task</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                    <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Link</a>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        Dropdown
                    </a>
                    <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <a class="dropdown-item" href="#">Action</a>
                        <a class="dropdown-item" href="#">Another action</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="#">Something else here</a>
                    </div>
                </li>
                <li class="nav-item">
                    <a class="nav-link disabled" href="#" tabindex="-1" aria-disabled="true">Disabled</a>
                </li>
            </ul>

            <div class="form-inline my-2 my-lg-0">
                <a href="cart_list.html" target="_blank">
                    <!-- <input id="" type="button" class="btn btn-outline-success my-2 my-sm-0" name="cart" value="0"> -->
                    
                    <button type="button" class="btn btn-success">
                        Cart &nbsp; <span id="cart" class="badge badge-light">0</span>
                        <span class="sr-only">unread messages</span>
                      </button>

                </a>
            </div>


        </div>
    </nav>


    

    <div class="container">
        <div class="row">
            <div class="col-12 col-lg-8 offset-lg-2">
                <table id="table1" class="table table-dark">
                    <thead>
                        <tr>
                            <th>
                                id
                            </th>
                            <th>
                                name
                            </th>
                            <th>
                                type
                            </th>
                            <th>
                                photo
                            </th>
                            <th>

                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>
                                1
                            </td>
                            <td>
                                product 1
                            </td>
                            <td>
                                type1
                            </td>
                            <td>
                                <img src="images/1.jpg" class="img" title="pic" />
                            </td>
                            <td>
                                <input type="button" class="form-control btn btn-primary add_to_cart"
                                    value="Add To Cart">
                            </td>
                        </tr>
                        <tr>
                            <td>
                                2
                            </td>
                            <td>
                                product 2
                            </td>
                            <td>
                                type2
                            </td>
                            <td>
                                <img src="images/2.jpg" class="img" title="pic" />
                            </td>
                            <td>
                                <input type="button" class="form-control btn btn-primary add_to_cart"
                                    value="Add To Cart">
                            </td>
                        </tr>
                        <tr>
                            <td>
                                3
                            </td>
                            <td>
                                product 3
                            </td>
                            <td>
                                type1
                            </td>
                            <td>
                                <img src="images/3.jpg" class="img" title="pic" />
                            </td>
                            <td>
                                <input type="button" class="form-control btn btn-primary add_to_cart"
                                    value="Add To Cart">
                            </td>
                        </tr>
                        <tr>
                            <td>
                                4
                            </td>
                            <td>
                                product 4
                            </td>
                            <td>
                                type1
                            </td>
                            <td>
                                <img src="images/3.jpg" class="img" title="pic" />
                            </td>
                            <td>
                                <input type="button" class="form-control btn btn-primary add_to_cart"
                                    value="Add To Cart">
                            </td>
                        </tr>

                    </tbody>
                </table>
                <!-- <input type="button" id="btn1" class="form-control btn btn-primary" value="Add To Cart"> -->
            </div>
        </div>
    </div>



    <!-- <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script> -->
    <!-- <script src="js/jquery-3.4.1.min.js"></script> -->
    <script src="js/jquery-3.3.1.slim.min.js"></script>
    <script src="js/popper.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/jquery-3.4.1.js"></script>

    <script>
        $(document).ready(function () {

            //  Load Data  //
            fill_data();

            function fill_data() {

                debugger;



                var prods = localStorage.getItem('products');
                var count = 0;
                if (prods != null) {
                    var f = prods.split(',');


                    f.forEach(function (e) {
                        count += Number(localStorage.getItem(`${e.split('|')[0]}`));

                    });

                    // $('#cart').val(Number(count));
                    $('#cart')[0].innerText=Number(count);
                }


            }

            //  Button Add To Cart  //
            $('.add_to_cart').click(function (e) {
                debugger;
                var prods = localStorage.getItem('products');

                var id = e.target.parentElement.parentElement.cells[0].innerText;
                var name = e.target.parentElement.parentElement.cells[1].innerText;
                var type = e.target.parentElement.parentElement.cells[2].innerText;
                var img = e.target.parentElement.parentElement.cells[3].children[0].src;

                //for check if product added befor



                if (prods != null) {
                    var f = prods.split(',');
                    var c = false;
                    f.forEach(function (e) {
                        if (e.split('|')[0] == id) {
                            var count = localStorage.getItem(`${id}`);
                            localStorage.setItem(`${id}`, Number(count) + 1);
                            c = true;
                        }
                    });
                    if (c == false) {
                        localStorage.setItem('products', prods + `${id}|${name}|${type}|${img},`);
                        localStorage.setItem(`${id}`, 1);
                    }
                } else {
                    localStorage.setItem('products', `${id}|${name}|${type}|${img},`);
                    localStorage.setItem(`${id}`, 1);
                }
                // $('body').append(`
                // <div id="alert" class="alert alert-primary" role="alert" style="position: fixed;right: 0;">
                //     A simple primary alert—check it out!
                // </div>
                // `);
                
                // $('.alert').slideDown(200)
                // setTimeout(function(){$('#alert').slideUp(200)},3000)

                fill_data();

            })
        })


    </script>
</body>

</html>